# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite unless we have Test::More ≥ 0.96
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 1 : 0);' 2>/dev/null || echo 0)

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.64) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Devel-CheckBin
Version:	0.04
Release:	3.%{__distinit}%{__distvers}
Summary:	Check that a command is available
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Devel-CheckBin/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Devel-CheckBin-%{version}.tar.gz
Patch0:		Devel-CheckBin-0.04-old-EU::MM.patch
Patch1:		Devel-CheckBin-0.04-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Devel::CheckBin is a perl module that checks whether a particular command is
available.

%prep
%setup -q -n Devel-CheckBin-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%if %{old_eumm}
%patch0
%endif

# We need to patch the test suite unless we have Test::More ≥ 0.96
%if %{old_test_more}
%patch1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::CheckBin.3*

%changelog
* Wed Aug 17 2016 Paul Howarth <paul@city-fan.org> - 0.04-3
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Jul 22 2015 Paul Howarth <paul@city-fan.org> - 0.04-1
- Update to 0.04
  - Use 'find' rather than 'ls' as test command on Win32
  - Fix test to handle paths with spaces
- Add patch to support building with ExtUtils::MakeMaker < 6.64
- Update patch for building with Test::More < 0.96

* Sat Jun 13 2015 Paul Howarth <paul@city-fan.org> - 0.03-2
- Perl 5.22 rebuild

* Thu Apr 30 2015 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Re-packaging with EU::MM

* Fri Aug 15 2014 Paul Howarth <paul@city-fan.org> - 0.02-1
- Initial RPM version
